/* ==========================================================================
   0. Font Face Declarations
   ========================================================================== */

@font-face {
  font-family: "Inter";
  src: url("./fonts/Inter-VariableFont_opsz\,wght.ttf") format("truetype");
  font-weight: 100 900;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Inter";
  src: url("./fonts/Inter-Italic-VariableFont_opsz,wght.ttf") format("truetype");
  font-weight: 100 900;
  font-style: italic;
  font-display: swap;
}

/* ==========================================================================
   1. Variables
   ========================================================================== */
:root {
  /* Colors */
  --color-surface: #062a34;
  --color-on-surface: #ffffff;

  --color-primary: #52c19d;
  --color-on-primary: #00242c;

  --color-secondary: #a9dbff;
  --color-on-secondary: #021a36;

  --color-form-bg: #3d657a80;
  --color-on-form-bg: #ffffff80;

  --color-border: #09252b1a;
  --color-border-hover: #09252b67;

  --color-surface-mute: rgba(6, 42, 52, 0.6);

  --gradient: linear-gradient(180deg, #031e24 0%, #174b57 100%);
  --gradient-reverse: linear-gradient(180deg, #174b57 0%, #031e24 100%);

  /* Typography */
  --font-sans: "Inter", sans-serif;

  --font-size-xs: 0.75rem;
  --font-size-sm: 0.875rem;
  --font-size-base: 1rem;
  --font-size-md: 1.25rem;
  --font-size-lg: 1.5rem;
  --font-size-xl: 2rem;
  --font-size-xxl: 3.5rem;

  --font-weight-light: 300;
  --font-weight-regular: 400;
  --font-weight-medium: 500;
  --font-weight-semibold: 600;
  --font-weight-bold: 700;

  --line-height-base: 1.5;

  /* Spacing Scale (base unit = 4px) */
  --spacing-3xs: 0.25rem; /* 4px */
  --spacing-2xs: 0.5rem; /* 8px */
  --spacing-xs: 0.75rem; /* 12px */
  --spacing-sm: 1rem; /* 16px */
  --spacing-md: 1.5rem; /* 24px */
  --spacing-lg: 2rem; /* 32px */
  --spacing-xl: 3rem; /* 48px */
  --spacing-2xl: 4rem; /* 64px */
  --spacing-3xl: 5rem; /* 80px */

  /* Header */
  --header-content-offset: 9.5rem;
}

/* ==========================================================================
   2. Base styles (reset, typography, links)
   ========================================================================== */

*,
*::before,
*::after {
  box-sizing: border-box;
}

html,
body {
  margin: 0;
  padding: 0;
}

html {
  scroll-behavior: smooth; /*For bookmark links*/
}

body {
  min-height: 100vh;
  min-height: 100dvh;
  font-family: var(--font-sans);
  font-size: var(--font-size-base);
  line-height: var(--line-height-base);
  color: var(--color-on-surface);
  background-color: var(--color-surface);
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-rendering: optimizeLegibility;
}

img,
video,
svg {
  max-width: 100%;
  height: auto;
  display: block;
}

input,
textarea,
button {
  font: inherit;
  color: inherit;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: var(--font-weight-bold);
  line-height: 1.2;
  margin-top: 0;
  margin-bottom: var(--spacing-sm);
}

h1 {
  font-size: var(--font-size-xxl);
}

h2 {
  font-size: var(--font-size-xl);
}

h3 {
  font-size: var(--font-size-lg);
}

h4 {
  font-size: var(--font-size-md);
  font-weight: var(--font-weight-semibold);
}
h5 {
  font-size: var(--font-size-base);
  font-weight: var(--font-weight-semibold);
}

p {
  margin: 0;
}

a {
  color: var(--color-on-surface);
  text-decoration: none;
  transition: color 0.2s ease;
}

a:hover,
a:focus {
  color: var(--color-primary);
  text-decoration: underline;
}

button {
  background: none;
  border: none;
  padding: 0;
  cursor: pointer;
}

/* ==========================================================================
     3. Layout (container, grid, spacing)
     ========================================================================== */

section {
  padding: var(--spacing-3xl) 0;
}

section.light {
  background-color: var(--color-on-surface);
  color: var(--color-surface);
}

.container {
  max-width: 1440px;
  margin: 0 auto;
  padding: 0 1rem;
}

.container.compact {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 1rem;
}

/* ==========================================================================
     4. Components (buttons, cards, forms)
     ========================================================================== */
.btn-primary {
  background-color: var(--color-primary);
  color: var(--color-on-primary);
  border-radius: 0.5rem;
  padding: var(--spacing-xs) var(--spacing-sm);
}

.btn-primary:hover,
.btn-primary:focus {
  background-color: var(--color-secondary);
  color: var(--color-on-secondary);
  text-decoration: none;
}

.btn-surface {
  background-color: var(--color-surface);
  color: var(--color-on-surface);
  border-radius: 0.5rem;
  padding: var(--spacing-xs) var(--spacing-sm);
}

.btn-surface:hover,
.btn-surface:focus {
  background-color: var(--color-primary);
  color: var(--color-on-primary);
  text-decoration: none;
}

/* ==========================================================================
     5. Sections (hero, services, contact, etc.)
     ========================================================================== */

/* Navbar */

.sticky-header {
  position: sticky;
  top: 0;
  z-index: 5;
}

#navbar {
  background-color: var(--color-surface);
  color: var(--color-on-surface);
  height: 4rem;
}

#navbar .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 100%;
}

#logo {
  font-size: 1.5rem;
}

#nav {
  list-style: none;
  display: flex;
  align-items: center;
  gap: var(--spacing-lg);
  margin: 0;
  padding: 0;
  background-color: transparent;
  height: 100%;
}

#nav li {
  display: flex;
}

#nav a:not([class*="btn"]) {
  display: flex;
  padding: var(--spacing-2xs);
  transition: background-color 150ms ease; /* TODO: use variable */
}

#open-sidebar-button {
  display: none;
  background: none;
  border: none;
  margin-left: auto;
  cursor: pointer;
}

#close-sidebar-button {
  display: none;
  background: none;
  border: none;
  padding-left: var(--spacing-sm);
  margin-top: var(--spacing-sm);
  cursor: pointer;
}

#overlay {
  background: rgba(0, 0, 0, 0.5);
  position: fixed;
  inset: 0;
  z-index: 9;
  display: none;
}

@media screen and (max-width: 700px) {
  #open-sidebar-button,
  #close-sidebar-button {
    display: block;
  }
  #nav {
    position: fixed;
    top: 0;
    right: -100%;
    height: 100vh;
    width: min(15em, 100%);
    z-index: 10;
    transition: right 400ms ease-in-out; /* TODO: define variable */
    flex-direction: column;
    align-items: flex-start;
    gap: var(--spacing-sm);
    background-color: var(--color-surface);
  }

  #nav.show {
    right: 0;
  }

  #nav.show ~ #overlay {
    display: block;
  }

  #nav a:not([class*="btn"]) {
    width: 100%;
    padding-left: var(--spacing-md);
  }
  #nav a[class*="btn"] {
    margin-left: var(--spacing-md);
  }
}

/* Header */

#header {
  display: flex;
  align-items: flex-end;
  height: 240px;
  background: var(--gradient);
  padding: 0;
}

#header-content {
  display: flex;
  gap: 10vw;
  width: 100%;
  position: relative;
  top: var(--header-content-offset);
}

#header-title {
  font-size: 6rem;
  flex-shrink: 0;
}

#header-title > span {
  font-weight: var(--font-weight-regular);
  font-style: italic;
}

@media screen and (max-width: 1300px) {
  :root {
    --header-content-offset: 8rem;
  }

  #header-title {
    font-size: 5rem;
  }
}

@media screen and (max-width: 1162px) {
  :root {
    --header-content-offset: 6.5rem;
  }

  #header-title {
    font-size: 4rem;
  }
}

@media screen and (max-width: 1010px) {
  :root {
    --header-content-offset: 10rem;
  }

  #header {
    height: 150px;
  }

  #header-title {
    font-size: 3.5rem;
  }

  #header-content {
    flex-direction: column;
    gap: var(--spacing-sm);
  }
}

@media screen and (max-width: 500px) {
  :root {
    --header-content-offset: 9.25rem;
  }

  #header-title {
    font-size: 3rem;
  }
}

@media screen and (max-width: 406px) {
  :root {
    --header-content-offset: 8.5rem;
  }

  #header-title {
    font-size: 2.5rem;
  }
}

/* Hero */

#infos {
  --hero-padding-top: var(--spacing-xl);
  padding-top: calc(var(--header-content-offset) + var(--hero-padding-top));
  padding-bottom: 0;
}

#hero-content-container {
  display: flex;
  gap: var(--spacing-md);
}

#hero-content {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: var(--spacing-md);
  flex: 1;
}

#hero-content .hero-text {
  font-size: var(--font-size-md);
}

.hero-quote {
  max-width: 390px;
}

.hero-quote.desktop {
  display: block;
  align-self: flex-end;
  margin-top: auto;
}

.hero-quote.mobile {
  display: none;
}

#hero-img {
  width: 400px;
  object-fit: contain;
}

@media screen and (max-width: 992px) {
  #infos {
    --hero-padding-top: var(--spacing-lg);
  }
}

@media screen and (max-width: 900px) {
  #hero-content-container {
    flex-direction: column;
  }

  #hero-content {
    order: 2;
  }

  #hero-img {
    order: 1;
  }

  .hero-quote.desktop {
    display: none;
  }

  .hero-quote.mobile {
    display: block;
    order: 3;
  }
}

/* Services Overview */

#services-overview {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-md);
}

#services-overview ul {
  margin: 0;
  padding: 0;
  list-style-type: none;
  display: flex;
  gap: var(--spacing-sm);
}

#services-overview ul li {
  flex: 1;
  padding: var(--spacing-3xl) var(--spacing-lg);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  height: 500px;
  position: relative;
  background: var(--gradient-reverse);
  text-align: center;
  overflow: hidden;
}

#services-overview ul li .img-container {
  height: 180px;
  display: flex;
  align-items: center;
}

#services-overview ul li.supervision img {
  transition: transform 400ms ease;
  transform: rotate(0);
}
#services-overview ul li.supervision:hover img {
  transform: rotate(45deg);
}

#services-overview ul li.coaching img {
  transition: transform 400ms ease;
  transform: scale(1);
}
#services-overview ul li.coaching:hover img {
  transform: scale(1.15);
}

#services-overview ul li.teaching img {
  transition: transform 400ms ease;
  transform: scale(1);
}
#services-overview ul li.teaching:hover img {
  transform: scale(1.15);
}

#services-overview ul li .services-overview-title {
  transform: translateY(0);
  transition: transform 400ms ease;
}

#services-overview ul li:hover .services-overview-title {
  transform: translateY(calc(var(--spacing-xl) * -1));
}

#services-overview ul li .services-overview-description {
  position: absolute;
  bottom: 0;
  transform: translateY(100%);
  transition: all 400ms ease;
  padding: 0 var(--spacing-lg);
  width: 100%;

  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

#services-overview ul li:hover .services-overview-description {
  transform: translateY(calc(var(--spacing-xl) * -1));
}

#services-overview ul li > * {
  z-index: 1;
}

#services-overview ul li:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--gradient);
  opacity: 0;
  transition: opacity 0.5s ease;
  pointer-events: none;
}

#services-overview ul li:hover:before {
  opacity: 1;
}

@media screen and (max-width: 900px) {
  #services-overview ul {
    flex-direction: column;
  }

  #services-overview ul li {
    height: auto;
    gap: 7rem;
    padding-top: var(--spacing-2xl);
  }
}

/* Services */

#services {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-xl);
}

#services .service {
  display: flex;
  gap: var(--spacing-lg);
  justify-content: space-between;
}

#services .service .service-title {
  min-width: 20vw;
}

#services .service .service-title h2 {
  margin-bottom: 0;
}

#services .service .service-title .service-tags {
  display: flex;
  flex-direction: column;
  margin-bottom: var(--spacing-sm);
  margin-top: var(--spacing-sm);
}

#services .service .service-title .service-tags > span:before {
  content: "/ ";
}

#services .service .service-subtitle {
  color: var(--color-surface-mute);
  margin-top: var(--spacing-3xs);
}

#services .service .service-description {
  max-width: 65vw;
  display: flex;
  flex-direction: column;
  gap: var(--spacing-md);
  align-items: flex-start;
  padding-bottom: var(--spacing-xl);
  border-bottom: 1px solid var(--color-border);
}

#services .service:last-child .service-description {
  padding-bottom: 0;
  border-bottom: none;
}

#services .service .service-description ul {
  margin: 0;
}

@media screen and (max-width: 750px) {
  #services .service {
    flex-direction: column;
    gap: var(--spacing-sm);
  }

  #services .service .service-title .service-tags {
    flex-direction: row;
    gap: var(--spacing-3xs);
    flex-wrap: wrap;
  }

  #services .service .service-title .service-tags > span:first-child:before {
    content: "";
  }

  #services .service .service-title .service-tags > span:not(:first-child):before {
    content: " | ";
  }

  #services .service .service-description {
    max-width: unset;
  }
}

/* Benefits */

#benefits {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-md);
}

#benefits #benefits-container {
  display: grid;
  gap: var(--spacing-lg);
  grid-template-columns: repeat(3, 1fr);
}

#benefits .benefit {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-2xs);
  align-items: flex-start;
}

@media screen and (max-width: 900px) {
  #benefits #benefits-container {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media screen and (max-width: 600px) {
  #benefits #benefits-container {
    grid-template-columns: repeat(1, 1fr);
  }
}

/* Qualifications */

#qualifications {
  display: flex;
  gap: var(--spacing-sm);
  justify-content: space-between;
}

#qualifications > h2 {
  min-width: 20vw;
}

#qualifications > .qualifications-container {
  flex: 1;
  max-width: 65vw;
  display: flex;
  flex-direction: column;
  gap: var(--spacing-xl);
}

#qualifications .qualifications-list {
  display: flex;
  flex-direction: column;
}

#qualifications .qualifications-list > * {
  padding: var(--spacing-sm) 0;
  border-bottom: 1px solid var(--color-border);
  transition: border 400ms ease;
}

#qualifications .qualifications-list .qualification {
  display: flex;
  justify-content: space-between;
  gap: var(--spacing-2xl);
  overflow: hidden;
}

#qualifications .qualifications-list .qualification:hover {
  border-color: var(--color-border-hover);
}

#qualifications .qualifications-list > h5 {
  margin: 0;
}

#qualifications .qualifications-list .qualification .qualification-timespan {
  width: 15%;
  min-width: 120px;
  white-space: nowrap;
}

#qualifications .qualifications-list .qualification .qualification-description {
  display: flex;
  flex-direction: column;
  flex: 1;
  gap: var(--spacing-3xs);
}

#qualifications .qualifications-list .qualification .qualification-description .qualification-title {
  font-weight: var(--font-weight-semibold);
}

@media screen and (max-width: 900px) {
  #qualifications {
    flex-direction: column;
  }

  #qualifications > .qualifications-container {
    max-width: unset;
  }

  #qualifications .qualifications-list .qualification {
    gap: var(--spacing-lg);
  }
}

@media screen and (max-width: 500px) {
  #qualifications .qualifications-list .qualification .qualification-timespan {
    width: 95px;
    min-width: unset;
  }
}

/* Contact */

#contact {
  display: flex;
  gap: var(--spacing-2xl);
}

#contact #contact-info-container {
  flex: 1;
  display: flex;
  flex-direction: column;
}

#contact #contact-info {
  margin-top: var(--spacing-2xl);
  display: flex;
  flex-direction: column;
  gap: var(--spacing-3xs);
  align-items: flex-start;
}

#contact #contact-info a {
  text-decoration: underline;
}

#contact-form {
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: var(--spacing-sm);
}

#contact-form .form-grid {
  display: grid;
  grid-template-areas:
    "name name"
    "email  phone"
    "message message";
  gap: var(--spacing-sm);
}

#contact-form .form-group {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-3xs);
}

#contact-form .form-group input,
#contact-form .form-group textarea {
  background-color: var(--color-form-bg);
  padding: var(--spacing-sm) var(--spacing-sm);
  border: none;
}

#contact-form .form-group input::placeholder,
#contact-form .form-group textarea::placeholder {
  color: var(--color-on-form-bg);
}

#contact-form .form-group textarea {
  resize: vertical;
}

#contact-form .form-group label {
  font-size: var(--font-size-sm);
}

#contact-form button {
  align-self: flex-start;
}

#contact-form #name {
  grid-area: name;
}
#contact-form #email {
  grid-area: email;
}
#contact-form #phone {
  grid-area: phone;
}
#contact-form #message {
  grid-area: message;
}

@media screen and (max-width: 750px) {
  #contact {
    flex-direction: column;
  }

  #contact-form .form-grid {
    grid-template-areas:
      "name"
      "email"
      "phone"
      "message";
  }
}

/* Impressum/Datenschutz */

#impressum-datenschutz section {
  padding: var(--spacing-2xl) 0;
}

#impressum-datenschutz .article-grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: var(--spacing-xl);
}

#impressum-datenschutz h2 {
  margin-bottom: var(--spacing-lg);
}

#impressum-datenschutz article h5 {
  margin-bottom: var(--spacing-2xs);
}

@media screen and (max-width: 750px) {
  #impressum-datenschutz .article-grid {
    grid-template-columns: 1fr;
  }
}

/* Footer */

#footer-content {
  display: flex;
  gap: var(--spacing-2xl);
  padding-bottom: var(--spacing-lg);
  align-items: center;
}

#footer-content a {
  text-decoration: underline;
}

#footer-content > div {
  flex: 1;
}

#footer-links {
  display: flex;
  gap: var(--spacing-lg);
}

@media screen and (max-width: 750px) {
  #footer-content {
    flex-direction: column;
    gap: var(--spacing-sm);
  }
}
